progresstracker.h File Reference

Facilitates progress tracking and cancellation for long operations. More...

`#include "regina-core.h"`
`#include <mutex>`
`#include <string>`

## Classes

class | regina::ProgressTrackerBase
| The base class for Regina's progress tracking classes. More...
class | regina::ProgressTracker
| Manages percentage-based progress tracking and cancellation polling for long operations. More...
class | regina::ProgressTrackerOpen
| Manages percentage-based progress tracking and cancellation polling for open-ended operations. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef ProgressTrackerBase | regina::NProgressTrackerBase
| Deprecated typedef for backward compatibility. More...
typedef ProgressTracker | regina::NProgressTracker
| Deprecated typedef for backward compatibility. More...
typedef ProgressTrackerOpen | regina::NProgressTrackerOpen
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Facilitates progress tracking and cancellation for long operations.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).